30 berichten aan het bekijken - 1 tot 30 (van in totaal 40)
  • Q:
    Moderator
    Strifer

    Whatsapp activeren iPhone 3G

    Hallo allemaal,

    Mijn schoonvader (en mijn moeder) hebben onze oude iPhones: de 3G. Nu is dat ding best oud aan het worden en wil het een en ander niet meer werken, maar het whatsappen ging altijd prima. Nu ondersteunt Whatsapp geen oudere versies meer van iOS (huidige versie heeft iOS 4.3 nodig; volgens mij is het max iOS van een 3G iOS 4.2.1). Mijn schoonvader krijgt nu dus steeds berichtjes dat ie moet updaten. Als ie dat probeert krijgt hij vervolgens de melding dat het niet werkt. Op zich een beetje onhandig, maar niet onoverkomelijk.

    Nu dan het werkelijke probleem: sinds vandaag vraagt Whatsapp om opnieuw geactiveerd te worden (das trouwens al een vraag op zich: waarom? het werkte gewoon altijd..). Dat lukt dus niet. Bij het invullen van het gsm nummer en drukken voor verificatie er sms geeft ie aan dat er eerst geupdate moet worden. Dat werkt dus niet. Vervolgens kun je aangeven dat je gebeld kan worden als het via sms niet lukt. Dat werkt dus ook niet. Hij geeft weer aan dat er eerst geupdate dient te worden. Lastig, lastig. Nu heeft hij nog wel z’n originele activatiecode (ik weet niet meer helemaal zeker of deze code hetzelfde is of anders wordt bij opnieuw activeren), maar als hij die invult krijgt hij te zien dat er een onherstelbare fout is opgetreden.

    Thoughts anyone?

    edit: trouwens, ik meen me te herinneren dat je ook kon activeren door een sms met je email erin te sturen aan whatsapp… daarna kreeg je de code toegestuurd per e-mail. dat kan ik nergens terug vinden op de whatsapp website…

    Bijdrager
    MFMD

    Wat ik ervan heb begrepen is dat de Whatsapp vanaf nu niet meer werkt op de oude iPhones…helaas…

    Bijdrager
    Wolfii82

    Whatsapp vereist iOS 4.3 of nieuwer en updaten kan inderdaad niet aangezien de iPhone 3G niet hoger kan dan 4.2.1 zoals je al aangeeft.

    Bijdrager
    Mister_J

    Ik had dit antwoord ook al in een ander topic geplaatst:

    Als je Whatsapp wilt gaan gebruiken dan gaat dat niet meer werken.
    De iPhone 3G kan maar tot iOS 4.2.1 en Whatsapp kan je (sinds kort) pas gebruiken vanaf iOS 4.3.

    Ik ben nog aan het proberen om iOS 4.3.5 werkend te krijgen op een iPhone 3G, maar tot zo ver nog zonder succes.

    Moderator
    Strifer

    Ik begrijp dat een nieuwere versie van Whatsapp met nieuwere mogelijkheden niet meer zal werken, maar killen ze nu echt de oude versies en de iPhone 3G gebruikers?

    Bijdrager
    Wolfii82

    Ja, dat doen ze, maar dat is Apple. Take it or leave it is de gedachte.

    Moderator
    Strifer

    Hoezo Apple? Whatsapp regelt die boel toch. Ze kunnen die oude versie toch gewoon laten werken?

    Bijdrager
    Hansi2124

    Hier ook precies hetzelfde met een iPhone 3G en Whatsapp helaas…… :thumbsdown:

    Bijdrager
    Wolfii82

    Whatsapp maakt de app en Apple bepaald wel degelijk of een app voor meerdere iOS versies mag worden uitgebracht.

    Moderator
    Strifer

    Nee, dat begrijp ik wel. Maar ik kies er soms bewust voor om niet te updaten. Die apps werken verder prima. Frustrerende is dat de pushberichten van nieuwe whatsapp berichtjes wel nog gewoon doorkomen (maw: het werkt eigenlijk gewoon).

    Kennelijk hebben ze bij Whatsapp gewoon de deur dichtgegooid voor iPhone 3G op de Whatsapp servers. Ze zouden eigenlijk een Whatsapp Lite ofzo moeten uitbrengen voor de oudere toestellen…

    Bijdrager
    makasa
    Moderator
    Strifer

    Dat is wat ze zeggen. Maar technisch gezien werkt de boel nog, dus het moet gewoon mogelijk zijn. Hetzij door mensen niet op te zadelen met her-activatie dat niet werkt of door een speciale app uit te brengen.

    Bijdrager
    tinus_omt

    De communicatie met de servers van Whatsapp is in de loop van de jaren veranderd om de beveiliging te verbeteren. Dat vereist natuurlijk wel dat de gebruikers af en toe een nieuwe versie van de applicatie installeren. Het is niet zo heel gek dat de servers op een gegeven moment stoppen met de ondersteuning van heel oude versies.

    Als applicatieontwikkelaars willen dat hun app goed werkt op de iPhone 5 kunnen ze niet tegelijk hun app beschikbaar maken voor de iPhone 3G. Voor de iPhone 5 heb je namelijk xCode 4.5 nodig en die ondersteunt de originele iPhone en de 3G niet meer.

    Je kunt er over discussieren of het redelijk is dat Apple 2 jaar nadat de verkoop is gestopt een telefoon op deze manier onbruikbaar gaat maken. Feit is dat het tijd wordt voor een nieuwe telefoon en daar kunnen de mensen van Whatsapp weinig tegen doen.

    Je kunt natuurlijk overstappen naar een ander merk telefoon, maar als je goed kijkt zul je waarschijnlijk zien dat alle fabrikanten zich bij het maken van updates concentreren op de modellen die nog in de winkel liggen.

    Bijdrager
    Leander

    Wat mij bijzonder stoort is dat het uitfaseren geheel niet is aangekondigd. Van de een op de andere dag kunnen mijn kinderen niet meer Whasappen op hun iPhones 3G. Zij zijn zeer teleurgesteld en ik ben, samen met mijn vrouw dat ook, we zijn gewoon kwaad over deze gang van zaken. Ik begin eigenlijk een hekel te krijgen aan de opgelegde en betuttelende houding van mijn voorheen geliefde merk. Onze reactie is nu dat we binnenkort gaan kijken naar een ander merk telefoon voor onze kinderen.

    Bijdrager
    KarelWillem

    Het heeft geen moer met de houding van Apple te maken natuurlijk.

    Het is de ontwikkelaar die er voor zorgt een app door te ontwikkelen naar de nieuwste versies.

    Bijdrager
    Leander

    Nee, de ontwikelaars verwijzen naar het beleid van Apple.
    Het is de onwil die mij stoort.

    Bijdrager
    Wolfii82

    @KarelWillem Nogmaals, Apple bepaald of een app voor meerdere iOS versies beschikbaar zal zijn. Whatsapp moet ook gewoon naar de pijpen dansen van Apple.

    Als het aan Whatsapp ligt maken ze de app voor elke versie van iOS, maar Apple houdt dit tegen.

    Een ontwikkelaar kan niet een app ontwikkelen voor iOS 6 en voor oudere iOS versies gezien het feit dat Apple vereist dat een ontwikkelaar Xcode 4.5 gebruikt om apps te maken, oudere iOS versies kunnen niet overweg met Xcode 4.5 en dus is het gewoon klaar.

    Zelfs op de website van Whatsapp staat dit aangegeven:

    http://blog.whatsapp.com/index.php/2012/12/iphone3g/

    Bijdrager
    Hansi2124

    Het is vandaag de dag toch ook nog mogelijk om Photoshop 3 op een oude Mac te gebruiken?
    Het is toch de combinatie OS vs app die iets wel of niet mogelijk maakt?

    Bijdrager
    Chorro

    Ik snap het punt wat mensen zeggen wel; Als iets heeft gewerkt, dan is het niet bepaald gewoon dat je gedwongen wordt om een update uit te voeren die er niet voor jouw toestel is. Dan kun je dat van mensen ook niet verwachten, zeker niet als het waar is dat die pushmeldingen nog steeds binnenkomen. Klaarblijkelijk werkt het dus nog wel en gaat het dan gewoon om een slot waarvan de code onbereikbaar is.

    Punt van Apple/Whatsapp snap ik aan de andere kant ook wel. Op een gegeven moment moet de bezem er doorheen om overzicht te houden en je te kunnen richten op nieuwere toestellen. Als Whatsapp op mijn iPhone 5 het niet lekker doet en dat laten ze links liggen, is de hoeveelheid aan negatief nieuws nog veel groter. Een splinternieuw toestel waar geen ondersteuning voor is, dat mag niet voor het geld wat Apple voor zo’n iPhone 5 vraagt.

    @Hansi: Jouw voorbeeld van Photoshop is dan ook iets wat volledig intern draait en heeft niets te maken met servers. Eenmaal geïnstalleerd en je kunt bij wijze van spreken voor altijd zonder internetverbinding de functies gebruiken. Zodra de taal die de servers spreken gaat veranderen, moet de software ook veranderen en daar is de versie die de 3G nodig heeft te oud voor.
    Grote kans dat met het cloudpakket wat Adobe tegenwoordig aanbiedt, dit verschijnsel ook gaat komen. Over een paar jaar kun je met Mountain Lion niet de nieuwste CS draaien.
    Daarnaast is het zo dat op OS X je gewoon software van onbekende bronnen kunt draaien. Apple heeft er dan geen touwtjes van in handen, iets wat bij de App store wel het geval is. De enige touwtjes die ze hebben is het uitschakelen van zaken als Rosetta, wat laatst is gebeurd.

    Bijdrager
    Mister_J

    Op iCulture ben ik de oplossing tegen gekomen om Whatsapp weer te laten werken…
    En bij mij werkt het ook, op m’n iPhone 3G (iOS 4.2.1).

    – Je opent whatsapp en krijgt verificatiemenu waarin je je telefoonnummer moet invullen
    – Voer je geldige mobiele telefoonnummer in
    – Nu verwacht je weer dat je een sms hoort te krijgen met een code, maar dit is niet meer zo! Je wordt gelijk doorgestuurd naar het beginscherm van Whatsapp. Whatsapp heeft het dus voor ons aangepast!

    De vraag is hoelang dit nog gaat werken, maar ik hoop lange tijd! Voor nu even een opluchting dat het weer werkt in ieder geval.

    Bijdrager
    semen

    Werkt bij mij ook weer. Opluchting bij m’n vrouw in dit geval.

    Bijdrager
    wynand

    Vreemd. Hier niet. Kom niet verder dan het scherm waar je die code moet invullen

    STATUS: fail-old-version
    RESULT: (null)

    Bijdrager
    Mister_J
    wynand op 03 januari 2013

    Vreemd. Hier niet. Kom niet verder dan het scherm waar je die code moet invullen

    Moet je even terug gaan naar waar je je telefoonnummer moet invullen, en die opnieuw invullen.

    Bijdrager
    wynand

    nee werkt niet

    Bijdrager
    Mister_J

    Draai je wel gewoon iOS 4.2.1 dan?

    Anders ff je iPhone opnieuw starten, dan nogmaals je telefoonnr invoeren.

    Bijdrager
    Hansi2124

    Hier werkt het ook weer.

    Edit 4 januari:
    het werkt niet meer:-(

    Bijdrager
    wynand

    Niks :-(. Hij blijft om die code vragen. Telefoon is opnieuw gestart. Het haalt niets uit helaas. Telefoon heeft gewoon 4.2.1

    Bijdrager
    Mister_J

    Ja jammer voor je, gewoon blijven proberen. Misschien dat het opeens wel lukt. Bij de meeste iPhone 3G gebruikers die ik ken werkt het in ieder geval weer. Alleen nu nog de vraag hoe lang het zo blijft werken.

    Bijdrager
    Leander

    Idem, hier werkt het ook niet :thumbsdown:

    Bijdrager
    wynand

    ligt het tenminste niet aan mij;-)

30 berichten aan het bekijken - 1 tot 30 (van in totaal 40)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.